#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <map>

using namespace std;

// map<long long, long long> vmap;
//
// long long binery(long long a) {
//     map <long long, long long> mp;
//     long long ans = 0;
//
//     while (a != 0) {
//         long long lg = log2(a);
//         a = a - pow(2, lg);
//         ans = ans + pow(10, lg);
//     }
//
//     return ans;
// }

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    long long n, k;
    cin >> n >> k;
    vector<long long> a;
    long long fline = 0;
    long long sline = 0;

    for (int i = 0; i < n; i++) {
        long long x;
        cin >> x;
        if (x == 0) {
            fline++;
            sline++;
        }
        if (x == 1) {
            sline++;
        }
        if (x == 2) {
            fline++;
        }
    }

    if (n - k >= fline && n - k >= sline) {
        cout << 3;
    }
    if (n - k <= fline && n - k >= sline) {
        cout << 2;
    }
    if (n - k >= fline && n - k <= sline) {
        cout << 1;
    }
    if (n - k <= fline && n - k <= sline) {
        cout << 0;
    }

    return 0;
}